/*
* Pàgina de Notícies
*/
#newsContainer {
    display: grid;
    grid-template-columns: 33.33% 33.33% 33.33%;
    grid-template-rows: repeat(7, auto);
    opacity:0;
    transition: opacity 0.7s linear 0.5s; 
}
article {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding: 2vw;
    margin: 1.5vw;
    background-color: var(--main-background-clear2);
    border: 0.3px solid var(--main-cardsBorder2);
    border-radius: 1vw;
    box-shadow: 0vw 0vw 1vw var(--main-shadow-color);
}
article h2 {
    color: var(--main-text);
}
header h1{
    color: var(--main-text);
}
article img {
    width: 100%;
    padding: 1.5vw 0;
}
article address { 
    margin: 2vw 0 0.5vw 0;
    color: --main-firstText-color;
    font-size: 0.9em;
    font-weight: 300;
}
article a {
    color: var(--main-firstText-color);
}
article a:hover {
    opacity:0.7;
}
.loading {
    width: 15%;
    margin: 10vw auto;
    animation: glowing 1500ms infinite;
}

/*
* Pàgina Full Notícia
*/
#containerFullNews {
    width: 80%;
    height: 100%;
    margin: 7vw auto; 
    padding: 3.5vw;
    background-color: var(--main-background-clear2);
    border-radius: 1vw;
    box-shadow: -0.5vw 0.5vw 1vw rgba(0, 0, 0, 0.25);
    border: 0.3px solid var(--main-cardsBorder2);
    display: none;
}
#containerFullNews p {
    text-align: justify;
    padding-top: 0.5vw
}
figure {
    padding: 1vw;
}
figure img {
    width: 100%;
    height: auto;
}
.txtNews, header p{
  padding: 1.5vw 0;
  font-size: clamp(1.15em, 1.4vw, 1.4em);
  color:var(--main-firstText-color);
  line-height: 1.6em;
}
figure {
    width: 100%;
    padding: 2vw 2vw 1vw 2vw;
}
.element-image__caption{
}
.element iframe {
    width: 100%;
    height: 40vw;  
}
.element-image {
    width: 100%;
    height: auto;
    margin: auto;
}
blockquote {
    display: block;
    padding: 1.5vw;
}
figcaption,
time {
    color: var(--main-forthText-color);
    font-size: 0.9em;
    font-weight: 300;
}
#containerFullNews a {
    color: var(--main-forthText-color);
    font-size: 0.9em;
    font-weight: 700;
}
#containerFullNews a:hover {
    opacity:0.7;
}

/**
* Animació
*/
@keyframes glowing {
    0% {
        opacity: 0.2;
    }
    50% {
        opacity: 0.6;
    }
    100% {
        opacity: 1;
    }
}

/**
* Canvi de pantalla
*/
@media (max-width: 1000px) {
    .loading,
    #containerFullNews {
        margin: 15vw auto; 
    }
    #newsContainer {
        grid-template-columns: auto;
        grid-template-rows: auto;
    }
    article {      
        width: 75%;
        margin: 1.5vw auto;
    } 
    .titleNews {
       margin-left: 12.5%;
    }
}
@media (max-width: 700px){
    article {      
        width: 90%;
    }   
    .titleNews {
       margin-left: 6% !important;
    }
    #containerFullNews {
    width: 94%;
    }
}